Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class IndexedElemImpl

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.stree.Child
                  |
                  +--org.apache.xalan.stree.Parent
                        |
                        +--org.apache.xalan.stree.ElementImpl
                              |
                              +--org.apache.xalan.stree.IndexedElemImpl

public class IndexedElemImpl
extends ElementImpl
implements IndexedElem

Method Summary
`int` | `getIndex()` An integer indicating where this node's children can be found in the indexed nodes list.
`void` | `setIndex(int anIndex)` An integer indicating where this node's children can be found in the indexed nodes list.

Methods inherited from class org.apache.xalan.stree.ElementImpl
`createAttribute, createAttributeNS, getAttrCount, getAttribute, getAttributes, getChildAttribute, getChildCount, getFirstChild, getIndex, getIndex, getLength, getLocalName, getLocalName, getNamedItem, getNamedItemNS, getNodeName, getNodeType, getQName, getTagName, getType, getType, getType, getURI, getValue, getValue, getValue, item, removeItem, removeNamedItem, removeNamedItemNS, setAttribute, setAttributeNS, setAttributes, setIDAttribute, setNamedItem, setNamedItemNS`

Methods inherited from class org.apache.xalan.stree.Parent
`appendChild, getChild, getChildUID, getLastChild, hasChildNodes, isComplete, setComplete`

Methods inherited from class org.apache.xalan.stree.Child
`getChildPosition, getLevel, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getUid, isNamespaceNode, setLevel, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getNodeValue, getOwnerElement, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttributeNode, setAttributeNodeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setIndex

    public void setIndex(int anIndex)

  An integer indicating where this node's children can be found in the indexed nodes list.
  Specified by:
    setIndex in interface IndexedElem

### getIndex

    public int getIndex()

  An integer indicating where this node's children can be found in the indexed nodes list.
  Specified by:
    getIndex in interface IndexedElem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.